#include <bits/stdc++.h>
using namespace std;
long long v,br_novcanica,n[60];
int main ()
{
    cin>>v;
    br_novcanica=0;
    n[1]=1;
    n[2]=2;
    n[3]=5;
    for(int i=4; i<=51; i++){
        n[i]=n[i-3]*10;
    }

       for(int i=51; i>=1; i--){
           br_novcanica+=v/n[i];
           v=v%n[i];
           if(v<0) break;
       }

   cout<<br_novcanica;

    return 0;
    }